package com.ylcm.sys.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ylcm.sys.common.DateUtil;
import com.ylcm.sys.domain.AdTheatre;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.BeanUtils;

/**
 * 电视剧及卫视剧场排名
 * @author liuyu
 */
@Data
public class AdTheatreTopVO {

    @ApiModelProperty(value = "剧名")
    private String name;
    @ApiModelProperty(value = "媒体")
    private String mediaName;

    @ApiModelProperty("卫视级别")
    private String mediaRank;

    @ApiModelProperty(value = "集数")
    private Integer mediaNum;
    @ApiModelProperty(value = "体裁")
    private String firstTheme;

    @ApiModelProperty(value = "省网收视")
    private Float rating29;

    @ApiModelProperty(value = "省网到达千人")
    private Integer dk29;

    private Integer total;

    public void init() {
        rating29 = rating29/total;
        rating29 = (float)(Math.round(rating29*100)/100.0);
    }
}
