<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%@ include file="../common/common.jsp"%>
<title>电视剧数据</title>
</head>
<body>
<%@ include file="../common/head.jsp"%>
<div class="screen main">
    <%@ include file="../common/left.jsp" %>
    <div class="main-content">
        <div class="btn-radius">电视剧数据</div>
        <form id="dataForm" method="post">
            <input type="hidden" name="id" value="${map.id}" />
            <input type="hidden" name="adTheatreId" value="${map.adTheatreId}" />

            <div class="search-group"><div class="search-item"><h2>《${adTheatre.name}》第${adTheatre.mediaNum}集电视台数据</h2></div></div>
            <div class="search-group">
                <div class="search-item">播放电视台：${adTheatre.mediaName}</div>
                <div class="search-item">播放日期：${adTheatre.showDate}</div>
                <div class="search-item">播放时间：${adTheatre.showTime}</div>
            </div>

            <div class="search-group"><div class="search-item"><h3>29省网每集收视率</h3></div></div>
            <div class="search-group">
                <div class="search-item">收视率：<input type="text" id="rating29" name="rating29" class="text" size="5" value="${map.rating29}" /></div>
                <div class="search-item">到达千人：<input type="text" id="dk29" name="dk29" class="text" size="5" value="${map.dk29}" /></div>
            </div>

            <div class="search-group"><div class="search-item"><b>分省达到千人</b></div></div>
            <div class="search-group">
                <div class="search-item">山东：<input type="text" id="shandong" name="shandong" class="text" size="5" value="${map.shandong}" /></div>
                <div class="search-item">辽宁：<input type="text" id="liaoning" name="liaoning" class="liaoning" size="5" value="${map.liaoning}" /></div>
                <div class="search-item">黑龙江：<input type="text" id="heilongjiang" name="heilongjiang" class="text" size="5" value="${map.heilongjiang}" /></div>
                <div class="search-item">吉林：<input type="text" id="jilin" name="jilin" class="text" size="5" value="${map.jilin}" /></div>
                <div class="search-item">内蒙古：<input type="text" id="neimenggu" name="neimenggu" class="text" size="5" value="${map.neimenggu}" /></div>
                <br/>
                <div class="search-item">北京：<input type="text" id="beijing" name="beijing" class="text" size="5" value="${map.beijing}" /></div>
                <div class="search-item">上海：<input type="text" id="shanghai" name="shanghai" class="text" size="5" value="${map.shanghai}" /></div>
                <div class="search-item">天津：<input type="text" id="tianjing" name="tianjing" class="text" size="5" value="${map.tianjing}" /></div>
                <div class="search-item">重庆：<input type="text" id="chongqing" name="chongqing" class="text" size="5" value="${map.chongqing}" /></div>
                <div class="search-item">山西：<input type="text" id="shanxi" name="shanxi" class="text" size="5" value="${map.shanxi}" /></div>
                <br/>
                <div class="search-item">四川：<input type="text" id="sichuan" name="sichuan" class="text" size="5" value="${map.sichuan}" /></div>
                <div class="search-item">云南：<input type="text" id="yunnan" name="yunnan" class="text" size="5" value="${map.yunnan}" /></div>
                <div class="search-item">贵州：<input type="text" id="guizhou" name="guizhou" class="text" size="5" value="${map.guizhou}" /></div>
                <div class="search-item">甘肃：<input type="text" id="gansu" name="gansu" class="text" size="5" value="${map.gansu}" /></div>
                <div class="search-item">陕西：<input type="text" id="shaanxi" name="shaanxi" class="text" size="5" value="${map.shaanxi}" /></div>
                <br/>
                <div class="search-item">河北：<input type="text" id="hebei" name="hebei" class="text" size="5" value="${map.hebei}" /></div>
                <div class="search-item">河南：<input type="text" id="henan" name="henan" class="text" size="5" value="${map.henan}" /></div>
                <div class="search-item">福建：<input type="text" id="fujian" name="fujian" class="text" size="5" value="${map.fujian}" /></div>
                <div class="search-item">广东：<input type="text" id="guangdong" name="guangdong" class="text" size="5" value="${map.guangdong}" /></div>
                <div class="search-item">浙江：<input type="text" id="zhejiang" name="zhejiang" class="text" size="5" value="${map.zhejiang}" /></div>
                <br/>
                <div class="search-item">江苏：<input type="text" id="jiangsu" name="jiangsu" class="text" size="5" value="${map.jiangsu}" /></div>
                <div class="search-item">江西：<input type="text" id="jiangxi" name="jiangxi" class="text" size="5" value="${map.jiangxi}" /></div>
                <div class="search-item">安徽：<input type="text" id="anhui" name="anhui" class="text" size="5" value="${map.anhui}" /></div>
                <div class="search-item">湖南：<input type="text" id="hunan" name="hunan" class="text" size="5" value="${map.hunan}" /></div>
                <div class="search-item">湖北：<input type="text" id="hubei" name="hubei" class="text" size="5" value="${map.hubei}" /></div>
                <br/>
                <div class="search-item">广西：<input type="text" id="guangxi" name="guangxi" class="text" size="5" value="${map.guangxi}" /></div>
                <div class="search-item">海南：<input type="text" id="hainan" name="hainan" class="text" size="5" value="${map.hainan}" /></div>
                <div class="search-item">宁夏：<input type="text" id="ningxia" name="ningxia" class="text" size="5" value="${map.ningxia}" /></div>
                <div class="search-item">新疆：<input type="text" id="xinjiang" name="xinjiang" class="text" size="5" value="${map.xinjiang}" /></div>
            </div>

            <div class="search-group"><div class="search-item"><b>受众人群构成</b></div></div>
            <div class="search-group">
                <div class="search-item">男性比例：<input type="text" id="peopleMan29" name="peopleMan29" class="text" size="5" value="${map.peopleMan29}" />&nbsp;%</div>
                <div class="search-item">女性比例：<input type="text" id="peopleWomen29" name="peopleWomen29" class="text" size="5" value="${map.peopleWomen29}" />&nbsp;%</div>
                <br/>
                <div class="search-item">4-14岁：<input type="text" id="people41429" name="people41429" class="text" size="5" value="${map.people41429}" />&nbsp;%</div>
                <div class="search-item">15-24岁：<input type="text" id="people152429" name="people152429" class="text" size="5" value="${map.people152429}" />&nbsp;%</div>
                <div class="search-item">25-34岁：<input type="text" id="people253429" name="people253429" class="text" size="5" value="${map.people253429}" />&nbsp;%</div>
                <br/>
                <div class="search-item">35-44岁：<input type="text" id="people354429" name="people354429" class="text" size="5" value="${map.people354429}" />&nbsp;%</div>
                <div class="search-item">45-54岁：<input type="text" id="people455429" name="people455429" class="text" size="5" value="${map.people455429}" />&nbsp;%</div>
                <div class="search-item">55-64岁：<input type="text" id="people556429" name="people556429" class="text" size="5" value="${map.people556429}" />&nbsp;%</div>
                <br/>
                <div class="search-item">65+岁：<input type="text" id="people6529" name="people6529" class="text" size="5" value="${map.people6529}" />&nbsp;%</div>
            </div>

            <div class="search-group"><div class="search-item"><h3>51城网每集收视率</h3></div></div>
            <div class="search-group">
                <div class="search-item">收视率：<input type="text" id="rating51" name="rating51" class="text" size="5" value="${map.rating51}" /></div>
                <div class="search-item">到达千人：<input type="text" id="dk51" name="dk51" class="text" size="5" value="${map.dk51}" /></div>
            </div>

            <div class="search-group"><div class="search-item"><b>受众人群构成</b></div></div>
            <div class="search-group">
                <div class="search-item">男性比例：<input type="text" id="peopleMan51" name="peopleMan51" class="text" size="5" value="${map.peopleMan51}" />&nbsp;%</div>
                <div class="search-item">女性比例：<input type="text" id="peopleWoman51" name="peopleWoman51" class="text" size="5" value="${map.peopleWoman51}" />&nbsp;%</div>
                <br/>
                <div class="search-item">1-14岁：<input type="text" id="people11451" name="people11451" class="text" size="5" value="${map.people11451}" />&nbsp;%</div>
                <div class="search-item">15-24岁：<input type="text" id="people152451" name="people152451" class="text" size="5" value="${map.people152451}" />&nbsp;%</div>
                <div class="search-item">25-34岁：<input type="text" id="people253451" name="people253451" class="text" size="5" value="${map.people253451}" />&nbsp;%</div>
                <br/>
                <div class="search-item">35-44岁：<input type="text" id="people354451" name="people354451" class="text" size="5" value="${map.people354451}" />&nbsp;%</div>
                <div class="search-item">45-54岁：<input type="text" id="people455451" name="people455451" class="text" size="5" value="${map.people455451}" />&nbsp;%</div>
                <div class="search-item">55-64岁：<input type="text" id="people556451" name="people556451" class="text" size="5" value="${map.people556451}" />&nbsp;%</div>
                <br/>
                <div class="search-item">65+岁：<input type="text" id="people6551" name="people6551" class="text" size="5" value="${map.people6551}" />&nbsp;%</div>
            </div>
        </form>
        <div>
            <c:if test="${edit eq 1}"><a href="javascript:save();" class="btn-radius">提交</a></c:if>
            <a href="${basePath}ad-theatre/index.do" class="btn-radius">返回</a>
        </div>
    </div>
</div>
<iframe name="hframe" style="display: none;"></iframe>
<%@ include file="../common/footer.jsp"%>
<script type="text/javascript" src="${staticPath}webupload/webuploader.min.js"></script>
<script type="text/javascript" src="${staticPath}webupload/upload.js"></script>
<script type="text/javascript">
$(function(){
    $.resetText();
    $(".text").input();
    $.checkbox();
})
// 保存
function save(){
    // 得到数据
    var data = $('#dataForm').serializeJSON();
    console.log(data);
    if (data['id'].isEmpty()){
        top.alert("没有 id");
        return false;
    }
    if (data['adTheatreId'].isEmpty()){
        top.alert("没有 adTheatreId");
        return false;
    }
    // 提交数据
    top.ajax("save.do", data, function(res){
        if (res.code == 1){
            top.alert("保存成功。", 1, function(){
                window.location.reload();
            });
        } else {
            top.alert(res.msg);
        }
    });
}
</script>
</body>
</html>