var bench_type = 1 , curTab = 1;

function delBenId(obj){
	$(obj).closest("li").remove();
	var somearray = decodeURI($.getParam("ids")).split('|');
	removeByValue(somearray, obj.dataset.id);
	window.location.href='benchmarking.do?type='+$("#type").val()+'&ids='+somearray.join('|');
}
function addBenId(){
	var url = 'add_benchmarking.do?type='+$("#type").val()+'&ids='+decodeURI($.getParam("ids"));
	$.openWindow('请添加对标产品',url, 470, 260, true, null, 'auto');
}

function changeBenchTab(){
	getBenchmarkingPieData();
}

/**
 * 切换时间
 */
function changeDateTab(day){
	var end_date = '', start_date = '';
	if(day > 0){
		end_date = new Date().addDate(-1).Format("yyyy-MM-dd"),
		start_date = new Date(end_date).addDate(-day).Format("yyyy-MM-dd");
		$('#start_time').val(start_date);
		$('#end_time').val(end_date);
	}else{
		$('#start_time').val('');
		$('#end_time').val('');
	}
	$(".text").input();
	changeBenchTab();
	
}

// 竞品卫视投放频次/时长分布比较
function getBenchmarkingPieData(){
    var brandNameList = $("#brandNameList").val().split('|');
	var total = brandNameList.length,
	type = $("#type").val() , startDate = $("#start_time").val(), endDate = $("#end_time").val();
	for(var index = 0; index < total; index++) {
       getMediaChartsData(type, brandNameList[index] ,index+1 , startDate, endDate);
       getTVChartsData(type, brandNameList[index] ,index+1 , startDate, endDate);
    }
}
 
// 媒体分布
function getMediaChartsData(type,productName,index, startDate,endDate){
	var data = {
			"type" : type,
			"productName": productName,
			"startDate": startDate,
			"endDate": endDate
		};
	program_arr = [];
	ajax("media_dist.do",data,function(res){
		var chartFrequency = "chart_"+(index);
		var chartDuration = "chart_"+(index+3);
		if(res.code == 1 && res.data.length > 0){
		    var sumFrequency = 0; //总频次
            var sumDuration = 0;  //总时长
			var series_frequency = [];
		    var series_length = [];
			$.each(res.data, function(index, item){
				var lv1 = {
					value: item.total, 				
				    name : item.name
				};
				series_frequency.push(lv1);
				var lv2 = {
					value:item.duration, 
					name:item.name
				};
				series_length.push(lv2);
			});
			drawPie("频次分布",series_frequency,chartFrequency) ;
			drawPie("时长分布",series_length,chartDuration);
		}else{
			$('#'+chartFrequency).info("暂无数据。", true);
			$('#'+chartDuration).info("暂无数据。", true);
		}
		
	},false);
}


// 电视剧分布
function getTVChartsData(type,productName,index, startDate,endDate){
	var data = {
			"type" : type,
			"productName": productName,
			"startDate": startDate,
			"endDate": endDate
		};
	program_arr = [];
	ajax("tv_dist.do",data,function(res){
	    var chartFrequency = "chart_"+ (index+6);
		var chartDuration = "chart_"+(index+9);
		if(res.code == 1 && res.data.length > 0){
		    var sumFrequency = 0; //总频次
            var sumDuration = 0;  //总时长
			var series_frequency = [];
		    var series_length = [];
			$.each(res.data, function(index, item){
				var lv1 = {
					value: item.total, 				
				    name : item.name
				};
				series_frequency.push(lv1);
				var lv2 = {
					value:item.duration, 
					name:item.name
				};
				series_length.push(lv2);
			});
			drawPie("频次分布",series_frequency,chartFrequency);
			drawPie("时长分布",series_length,chartDuration);
		}else{
			$('#'+chartFrequency).info("暂无数据。", true);
			$('#'+chartDuration).info("暂无数据。", true);
		}
	},false);
}

// 扇形图显示
function drawPie(title,series, divId){
option = {
    tooltip: {
        trigger: 'item',
        formatter: '{a} <br/>{b} : {c} ({d}%)'
    },
    series: [
        {
            name:title,
            type: 'pie',
            radius: '55%',
            center: ['50%', '60%'],
            data: series,
            emphasis: {
                itemStyle: {
                    shadowBlur: 10,
                    shadowOffsetX: 0,
                    shadowColor: 'rgba(0, 0, 0, 0.5)'
                }
            }
        }
    ]
};
var myChart = echarts.init(document.getElementById(divId));
myChart.clear();
myChart.setOption(option);

}

function changeTagName(){
	var brandNameList = $("#brandNameList").val().split('|');
	var total = brandNameList.length;
	for(var index = 0; index < total; index++) {
		var name = "brand_"+(index+1);
	    $('span[name='+name+']').html("“"+brandNameList[index]+"”");
	}
	$("span[name='title_1']").html("卫视投放频次分布");
	$("span[name='title_2']").html("卫视投放时长分布");
	$("span[name='title_3']").html("电视剧投放频次分布");
	$("span[name='title_4']").html("电视剧投放时分分布");	
}