$(function(){
	// 一级行业select控件初始化	 
    var firstIndSelect = $('select[name="firstInd"]').select2({
    	placeholder: "请输入一级行业",
    	allowClear: true,
    	width:'120px',
    	ajax:{
    		url: _PUBLIC_ +'ad-select/top_category_by_type.do',
    		dataType:'json',
    		quietMillis:100,
    		data:function(params){
    			return {
    				name : params.term,
    				type : 0, //栏目管理
    				pageNo : params.page || 1,
    				pageSize : 20
    			}
    		},
    		processResults: function (data, params) {
    			params.page = params.page || 1;
    			return {
    		        results: data.results,
    		        pagination: {
    		          more: (params.page * 20) < data.total
    		        }
    		    };
    		},
    		cache: true
    	}
    });
    	
    //解绑二级行业select控件初始化
    $('select[name="firstInd"]').live('change',function(){
    	$('select[name="secondInd"]').html('<option value=""></option>');
    });
    		
    // 二级行业select控件初始化	 
    var secondIndSelect = $('select[name="secondInd"]').select2({
    	placeholder: "请输入二级行业",
    	allowClear: true,
    	width:'120px',
    	ajax:{
    		url: _PUBLIC_ +'ad-select/second_category_by_type.do',
    		dataType:'json',
    		quietMillis:100,
    		data:function(params){
    			return {
    				name : params.term,
    				type : 0, //栏目管理,
    				parentName : $('#firstInd').val(), 
    				pageNo : params.page || 1,
    				pageSize : 20
    			}
    		},
    		processResults: function (data, params) {
    			params.page = params.page || 1;
    			return {
    		        results: data.results,
    		        pagination: {
    		          more: (params.page * 20) < data.total
    		        }
    		    };
    		},
    		cache: true
    	}
    });

    $('select[name="showEnv"]').select2({
        placeholder: "请选择播出环境",
        allowClear: true,
        width: '120px'
    });

    // 播出媒体
	var mediaNameSelect = $('select[name="mediaName"]').select2({
		placeholder: "请输入播出媒体",
		allowClear: true,
		width:'120px',
		ajax:{
			url: _PUBLIC_ +'ad-media/select/list.do',
			dataType:'json',
			quietMillis:100,
			data:function(params){
				return {
					name : params.term,
					pageNo : params.page || 1,
					pageSize : 20
				}
			},
			processResults: function (data, params) {
				params.page = params.page || 1;
				return {
			        results: data.results,
			        pagination: {
			          more: (params.page * 20) < data.total
			        }
			    };
			},
			cache: true
		}
	});
    
    $('select[name="type"]').select2({
        placeholder: "请选择类型",
        allowClear: true,
        width: '100px'
    });
});

var cur_brand = '',cur_type = 1,program_arr = [],brand_arr = [];

function getBrandDetail(){
	// 媒体分布
	getMediaChartsData();
	// 广告分布
	getTVChartsData();
    // 品牌分布
	getBrandChartsData();
	// 产品T30排序分布
    getProductRankList();
    // 栏目T30排序分布
    getPlatformRankList();
    // 修改产品名称
	changeTagName();
}

 // 获取对标对象
function itemCheck(o){
	var item = $("input[name='item']:checked"), ids = [] , productNameList = [];
	if(item.length > 3){
		alert("最多选择三个对标产品。");
		$(o).attr("checked", false);
		$.checkbox();
		return false;
	}
	item.each(function(){
		var data = $(this).val().split("_");
		ids.push(data[0]);
		productNameList.push(data[1]);
	});
	if((new Set(productNameList)).size != productNameList.length){
        alert("已存在，请选择不同的对标产品。");
        $(o).attr("checked", false);
		$.checkbox();
		return false;
    }
	$.cookie.set("benchCheckNum",ids.join(","));
}

 // 对标
function setBenchmark(){
	var item = $("input[name='item']:checked"), ids = [], productNameList = [];
	if(item.length <= 0){
		alert("请至少选择一个对标的产品。");
		return false;
	}
	if(item.length > 3){
		alert("最多选择三个对标的产品。");
		return false;
	}
	item.each(function(){
		var data = $(this).val().split("_");
		ids.push(data[0]);
		productNameList.push(data[1]);
	});
	if((new Set(productNameList)).size != productNameList.length){
        alert("已存在，请选择不同的对标产品。");
		return false;
    }
	window.open("benchmarking.do?type="+$("#type").val()+"&ids="+encodeURIComponent(ids.join("|")),"new");
}

/**
 * 切换时间
 */
function changeTab(day){
	var end_date = '', start_date = '';
	if(day > 0){
		end_date = new Date().addDate(-1).Format("yyyy-MM-dd"),
		start_date = new Date(end_date).addDate(-day).Format("yyyy-MM-dd");
		$('#start_time').val(start_date);
		$('#end_time').val(end_date);
	}else{
		$('#start_time').val('');
		$('#end_time').val('');
	}
	$(".text").input();
	//专题广告电视投放一览
	getBrandAnalysisList(1);
}

// 获取选中产品--并显示分析
function changeBrand(brand){
	cur_brand = brand;
	getBrandDetail();
}


// 一级行业select控件初始化	 
var firstIndSelect = $('select[name="firstInd"]').select2({
	placeholder: "请输入一级行业",
	allowClear: true,
	width:'120px',
	ajax:{
		url: _PUBLIC_ +'ad-select/top_category_by_type.do',
		dataType:'json',
		quietMillis:100,
		data:function(params){
			return {
				name : params.term,
				type : 0, //栏目管理
				pageNo : params.page || 1,
				pageSize : 20
			}
		},
		processResults: function (data, params) {
			params.page = params.page || 1;
			return {
		        results: data.results,
		        pagination: {
		          more: (params.page * 20) < data.total
		        }
		    };
		},
		cache: true
	}
});
	
//解绑二级行业select控件初始化
$('select[name="firstInd"]').live('change',function(){
	$('select[name="secondInd"]').html('<option value=""></option>');
});
		
// 二级行业select控件初始化	 
var secondIndSelect = $('select[name="secondInd"]').select2({
	placeholder: "请输入二级行业",
	allowClear: true,
	width:'120px',
	ajax:{
		url: _PUBLIC_ +'ad-select/second_category_by_type.do',
		dataType:'json',
		quietMillis:100,
		data:function(params){
			return {
				name : params.term,
				type : 0, //栏目管理,
				parentName : $('#firstInd').val(), 
				pageNo : params.page || 1,
				pageSize : 20
			}
		},
		processResults: function (data, params) {
			params.page = params.page || 1;
			return {
		        results: data.results,
		        pagination: {
		          more: (params.page * 20) < data.total
		        }
		    };
		},
		cache: true
	}
});

// 专题广告电视投放一览
function getBrandAnalysisList(page){
	page = page || 1;
	var pageSize = "10", data = {
		"pageNo": page,
		"pageSize": pageSize,
		"startDate": $("#start_time").val(),
		"endDate": $("#end_time").val(),
		"type": $("#type").val(),
		"keyword": $("#keyword").val(),
		"mediaName": $("#mediaName").val(),
		"showEnv": $("#showEnv").val(),
	    "firstInd":$("#firstInd").val(),
		"secondInd":$("#secondInd").val(),
	}, html = "";
	$("#brand_analysis_page, #brand_analysis_list").empty();
	ajax("ajax_list.do",data,function(res){
		if(res.code == 1 && res.data.records.length > 0){
			$.each(res.data.records, function(index, item){
				if(index == 0){
					cur_brand = item.productName;
				}
				html += "<tr data-brand='"+item.productName+"'>"+
					"<td>"+$.orderNum(page,pageSize,index)+"</td>"+
					"<td>"+item.mediaName+"</td>"+
                    "<td>"+item.showTime+"</td>"+
					"<td>"+item.showDate+"</td>"+
					"<td>"+item.showEnvMsg+"</td>"+
					"<td>"+item.tvName+"</td>"+
					"<td>"+item.showDuration+"</td>"+
					"<td>"+item.productName+"</td>"+
					"<td>"+item.brandName+"</td>"+
					"<td>"+item.firstInd+"</td>"+
					"<td>"+item.secondInd+"</td>"+
					"<td>"+item.advMaster+"</td>"+
					"<td>"+item.phone+"</td>"+
					"<td>"+item.price+"</td>"+
					"<td><input type='checkbox' class='checkbox {click:itemCheck}' name='item' "+($.cookie.get("benchCheckNum").indexOf(item.id) != -1 ? 'checked':'')+" value='"+item.id+"_"+item.productName+"' /><label></label></td>"+
				"</tr>";
			});
			$("#brand_analysis_list").html(html);
			$('#brand_analysis_count').html(res.data.total);
			$.radio();
			$.checkbox();
			var newpage = new createPage(res.data.total,page,pageSize,3,"getBrandAnalysisList");
			$("#brand_analysis_page").html(newpage.pageHtml);
			$('#brand_analysis_count').html(res.data.count);
			/**
			 *  产品名称点击事件
			 */
			$("#brand_analysis_list>tr>td:not(td:last-child)").on("click",function(){
				$(this).closest("tr").addClass("active").siblings().removeClass("active");
				changeBrand($(this).closest("tr").data("brand"));
			});
			$("#brand_analysis_list>tr:eq(0)>td:eq(1)").click();
		}else{
			$("#brand_analysis_list").info("暂无数据。");
			$("#frequency_pie,#length_pie").info("暂无数据。", true);
			$("#rating_35,#rating_29").info("暂无数据。", true);
			$("#net_chart,#douban_chart").info("暂无数据。", true);
			$("span[name='brand_tag']").html('“”');
			$('#brand_analysis_count').html(0);
		}
	});
}

// 媒体分布
function getMediaChartsData(){
	var data = {
			"type" : $("#type").val(),
			"productName": cur_brand,
			"startDate": $("#start_time").val(),
			"endDate": $("#end_time").val()
		};
	program_arr = [];
	ajax("media_dist.do",data,function(res){
		if(res.code == 1 && res.data.length > 0){
		    var sumFrequency = 0; //总频次
            var sumDuration = 0;  //总时长
			var series_frequency = [];
		    var series_length = [];
			$.each(res.data, function(index, item){
				var lv1 = {
					value: item.total, 				
				    name : item.name
				};
				series_frequency.push(lv1);
				var lv2 = {
					value:item.duration, 
					name:item.name
				};
				series_length.push(lv2);
			});
			drawPie("频次分布",series_frequency,'frequency_pie');
			drawPie("时长分布",series_length,'length_pie');
		}else{
			$("#frequency_pie,#length_pie").info("暂无数据。", true);
		}
	},false);
}


//电视剧分布
function getTVChartsData(){
	var data = {
			"type" : $("#type").val(),
			"productName": cur_brand,
			"startDate": $("#start_time").val(),
			"endDate": $("#end_time").val()
		};
	program_arr = [];
	ajax("tv_dist.do",data,function(res){
		if(res.code == 1 && res.data.length > 0){
		    var sumFrequency = 0; //总频次
            var sumDuration = 0;  //总时长
			var series_frequency = [];
		    var series_length = [];

			$.each(res.data, function(index, item){
				var lv1 = {
					value: item.total, 				
				    name : item.name
				};
				series_frequency.push(lv1);
				var lv2 = {
					value:item.duration, 
					name:item.name
				};
				series_length.push(lv2);
			});
			drawPie("频次分布",series_frequency,'rating_35');
			drawPie("时长分布",series_length,'rating_29');
		}else{
			$("#rating_35,#rating_29").info("暂无数据。", true);
		}
	},false);
}

//品牌分布
function getBrandChartsData(){
	var data = {
			"type" : $("#type").val(),
			"productName": cur_brand,
			"startDate": $("#start_time").val(),
			"endDate": $("#end_time").val()
		};
	program_arr = [];
	ajax("brand_dist.do",data,function(res){
		if(res.code == 1 && res.data.length > 0){
		    var sumFrequency = 0; //总频次
            var sumDuration = 0;  //总时长
			var series_frequency = [];
		    var series_length = [];
						
			$.each(res.data, function(index, item){
				var lv1 = {
					value: item.total, 				
				    name : item.name
				};
				series_frequency.push(lv1);
				var lv2 = {
					value:item.duration, 
					name:item.name
				};
				series_length.push(lv2);
			});
			drawPie("频次分布",series_frequency,'net_chart');
			drawPie("时长分布",series_length,'douban_chart');
		}else{
			$("#net_chart,#douban_chart").info("暂无数据。", true);
		}
	},false);
}

/**
 * 产品专题广告投放排名
 */
function getProductRankList(){
	var data = {
			"type" : 0,
		},html="";
	    ajax("product_rank.do",data,function(res){
		if(res.code == 1 && res.data){
			if(res.data.length > 0){
				$.each(res.data, function(index, item){
					html += "<tr class='"+(cur_brand == item.productName  && $("#type").val() == 0 ? 'trHover':'')+"'>"+
						"<td>"+(index+1)+"</td>"+
						"<td>"+item.productName+"</td>"+
						"<td>"+item.secondInd+"</td>"+
						"<td>"+item.frequency+"</td>"+
						"<td>"+item.duration+"</td>"+
					"</tr>";
				});
				$("#program_rank_list").html(html);
			}else{
				$("#program_rank_list").info("暂无数据。");
			}
		}
	},false);
}

/**
 *   栏目专题广告投放排名
 */
function getPlatformRankList(){
	var data = {
			"type" : 1,
		},html="";
	    ajax("product_rank.do",data,function(res){
		if(res.code == 1 && res.data){
			if(res.data.length > 0){
				$.each(res.data, function(index, item){
					html += "<tr class='"+(cur_brand == item.productName  && $("#type").val() == 1 ? 'trHover':'')+"'>"+
						"<td>"+(index+1)+"</td>"+
						"<td>"+item.productName+"</td>"+
						"<td>"+item.secondInd+"</td>"+
						"<td>"+item.frequency+"</td>"+
						"<td>"+item.duration+"</td>"+
					"</tr>";
				});
				$("#brand_rank_list").html(html);
			}else{
				$("#brand_rank_list").info("暂无数据。");
			}
		}
	},false);
}

// 扇形图显示
function drawPie(title,series, divId){
option = {
    tooltip: {
        trigger: 'item',
        formatter: '{a} <br/>{b} : {c} ({d}%)'
    },
    series: [
        {
            name:title,
            type: 'pie',
            radius: '55%',
            center: ['50%', '60%'],
            data: series,
            emphasis: {
                itemStyle: {
                    shadowBlur: 10,
                    shadowOffsetX: 0,
                    shadowColor: 'rgba(0, 0, 0, 0.5)'
                }
            }
        }
    ]
};

var myChart = echarts.init(document.getElementById(divId));
myChart.clear();
myChart.setOption(option);

}

// 修改产品名称
function changeTagName(){
	$("span[name='brand_tag']").html('“'+cur_brand+'”');
}