package com.ylcm.sys.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ylcm.sys.domain.AdTheatre;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylcm.sys.domain.AdTheatreTv;
import com.ylcm.sys.form.AdTheatreForm;
import com.ylcm.sys.vo.AdTheatreVO;

import java.util.List;

/**
 * <p>
 * 剧场管理表 服务类
 * </p>
 *
 * @author admin
 * @since 2020-07-01
 */
public interface AdTheatreService extends IService<AdTheatre> {

    IPage<AdTheatreVO> page(IPage<AdTheatre> page, AdTheatreForm form);

    /**
     * 根据组合键判断是否已存在
     */
    AdTheatre getUniqu(AdTheatre form);

    /**
     * 批量添加
     * @param list 剧场数据
     * @param tvList 电视剧收视数据
     * @return 执行结果：errorMsg or ok
     */
    String batchAdd(List<AdTheatre> list, List<AdTheatreTv> tvList) throws Exception;
}
