package com.ylcm.sys.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("剧场分析")
@Data
public class AdTheatreAnalysisVO {
	
	private Integer id;

	@ApiModelProperty(value = "剧名")
    private String name;

    @ApiModelProperty(value = "媒体")
    private String mediaName;

    @ApiModelProperty(value = "题材")
    private String firstTheme;

    @ApiModelProperty(value = "细分题材")
    private String secondTheme;

    private Integer theatreTime;
    
    @ApiModelProperty(value = "0日间 1黄金 2午夜 3凌晨")
    private String theatreTimeName;

    @ApiModelProperty(value = "1一线卫视 2二线卫视")
    private String channelSystem;

    @ApiModelProperty(value = "季度")
    private String season;

    @ApiModelProperty(value = "集次")
    private Integer tvNum;

    @ApiModelProperty(value = "省网收视")
    private Float rating29;

    @ApiModelProperty(value = "省网到达千人")
    private Integer dk29;

    @ApiModelProperty(value = "频道收视率")
    private Float mediaRating29;

    @ApiModelProperty(value = "频道到达千人")
    private Integer mediaDk29;

    @ApiModelProperty(value = "效果 0好 1一般 2较差 3差")
    private String effect;
}
