<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%@ include file="../common/common.jsp" %>
<title>央卫视剧场分析</title>
<script type="text/javascript">
$(function(){
	$.resetText();
	$(".text").input();
	$.checkbox();
	$(".select").uiSelect();
	$(".table").hoverTable(true, true);
	$("#start_time, #end_time").datetimepicker();
	changeTab(7);
	$("#tabMenu").tabMenu({removeClass:"btn-disabled",fun:function(obj, text){
		changeTab(obj.dataset.day);
	}});
	
	$("input[name=rating_ratio_35]").click(function(){
		getRatingChart(cur_type,1,$("input[name=rating_ratio_35]:checked").val());
	});
	
	$("input[name=rating_ratio_29]").click(function(){
		getRatingChart(cur_type,2,$("input[name=rating_ratio_35]:checked").val());
	});
	getRankList();
});
</script>
<script type="text/javascript" src="${staticPath}js/analysis/theatre_analysis.js"></script>
<script type="text/javascript" src="${staticPath}js/common/jquery.datetimepicker.js"></script>
<script type="text/javascript" src="${staticPath}js/echarts/esl.js"></script>
<script type="text/javascript" src="${staticPath}js/echarts/chartHead.js"></script>
<script type="text/javascript" src="${staticPath}js/echart/pie.js"></script>
<link rel="stylesheet" type="text/css" href="${staticPath}css/jquery.datetimepicker.css" />
</head>
<body>
<%@ include file="../common/head.jsp" %>
<div class="screen main bg-gray">
	<div class="radius-tabs">
		<a href="${basePath}special_analysis/index.do" class="button">专题广告分析</a>
		<a href="${basePath}theatre_analysis/index.do" class="button active">央卫视剧场分析</a>
	</div>
	<div class="search-form mTop20">
		<div class="search-group">
			<div class="buttons button-wrap inline search-item5" id="tabMenu">
				<span class="btn btn-disabled" data-day="0">全部</span><span class="btn" data-day="7">最近一周</span><span class="btn btn-disabled" data-day="90">最近三月</span><span class="btn btn-disabled" data-day="365">最近一年</span>
			</div>
			<div class="search-item5">
				<div class="twoContent"><input type="text" name="start_time" id="start_time" class="text {text:'开始时间'}" size="10" /><span>-</span><input type="text" name="end_time" id="end_time" class="text {text:'结束时间'}" size="10" /></div>
			</div>
			<div class="search-item5"><input type="text" name="product_item" id="keyword" class="text {text:'请输入节目/媒体'}" /></div>
			<div class="search-item5">
                <div class="select {width:120,onchange:search}">
                    <select id="type" name="type">
                        <option value="1">综艺</option>
                        <option value="2">栏目</option>
                        <option value="3">电视剧</option>
                        <option value="4">电影</option>
                    </select>
                </div>
            </div>
			<div class="search-item5"><a href="javascript:search();" class="search-btn">搜 索</a><a onclick="javascript:setBenchmark();" class="search-btn">对 标</a></div>
		</div>
	</div>
	<div class="table-content">
		<div class="hd-title">央卫视电视剧收视指标一览</div>
		<div class="box-pd">
			<table class="table table-gray" cellpadding="0" cellspacing="0" id="program_analysis_list_table">
				<thead>
					<tr>
						<th width="5%">序号</th>
						<th width="8%">剧名</th>
						<th width="7%">媒体</th>
						<th width="auto">题材</th>
						<th width="6%">细分题材</th>
						<th width="8%">剧场</th>
						<th width="6%">频道体系</th>
						<th width="10%">季度</th>
						<th width="7%">集次</th>
						<th width="5%">省网收视%</th>
						<th width="5%">省到达千人</th>
						<th width="5%">频道收视率%</th>
						<th width="7%">频道到达千人</th>
						<th width="7%">效果</th>
						<th width="7%"><input type="checkbox" class="checkbox {click:checkAll}" name="all" value="对标" /></th>
					</tr>
				</thead>
				<tbody id="program_analysis_list"></tbody>
			</table>
			<div class="mTop10">
				<div id="program_analysis_page" class="rFloat"></div>
				累计 <span id="program_analysis_count" class="blue">0</span> 条
			</div>
		</div>
	</div>
	<div class="table-content">
		<div class="mTop20 hd-title" id="program_placement_div_1"><span name="type_tag"></span>央卫视电视剧收视明细</div>
		<div class="box-pd" id="program_placement_div_2">
			<table class="table table-gray" cellpadding="0" cellspacing="0" id="program_placement_table">
				<thead id="program_placement_thead">
					<tr>
						<th width="5%">序号</th>
						<th width="7%">剧名</th>
						<th width="7%">媒体</th>
						<th width="7%">题材</th>
						<th width="7%">细分题材</th>
						<th width="10%">日期</th>
						<th width="10%">播出时间</th>
						<th width="7%">产品/栏目</th>
						<th width="7%">时长(分钟)</th>
						<th width="7%">进线预估</th>
						<th width="7%">省网收视%</th>
						<th width="7%">省网到达千人</th>
						<th width="7%">市网收视%</th>
						<th width="7%">市网到达千人</th>
					</tr>
				</thead>
				<tbody id="placement_detail_list"></tbody>
			</table>
			<div class="mTop10">
				<div id="placement_detail_page" class="rFloat"></div>
				累计 <span id="placement_detail_count" class="blue">0</span> 条
			</div>
		</div>
	</div>
	<hr class="mTop10">
	<div class="analyse-tabs">
		<%@ include file="../analysis/program_analysis_type1.jsp" %>
	</div>
</div>
<%@ include file="../common/footer.jsp" %>
</body>
</html>