var name = '',mediaName='', theatreTime=0, season='';
function search(){
	getProgramAnalysisList(1);

}

/**
 * 打开对标页
 * @returns {Boolean}
 */
function setBenchmark(){
	var item = $("input[name='item']:checked"), ids = [];
	if(item.length != 2){
		alert("请选择两个对标的节目。");
		return false;
	}
	item.each(function(){
		ids.push($(this).val());
	});
	window.open("program_marking.do?type="+cur_type+"&ids="+encodeURIComponent(ids.join("|")),"new");
}

/**
 * 切换时间
 */
function changeTab(day){
	var end_date = '', start_date = '';
	if(day > 0){
		end_date = new Date().addDate(-1).Format("yyyy-MM-dd"),
		start_date = new Date(end_date).addDate(-day).Format("yyyy-MM-dd");
		$('#start_time').val(start_date);
		$('#end_time').val(end_date);
	}else{
		$('#start_time').val('');
		$('#end_time').val('');
	}
	$(".text").input();
	search();
}

/**
 * 切换节目
 * @param program
 */
function changeProgram(program){
	cur_program = program;
	getPlacementDetail();
}

/**
* 搜索后，点击一个后的所有图标展示
*/
function getPlacementDetail(){
	getPlacementDetailList(1);
	getTvTrendChart();
	getZoneNumChart();
	getProductChart();
	getThemeChart();
}


function getProgramAnalysisList(page){
	page = page || 1;
	cur_type = $("#type").val();
	var pageSize = "10", data = {
		"pageNo": page,
		"pageSize": pageSize,
		"type": cur_type,
		"name": $("#keyword").val(),
		"startDate": $("#start_time").val(),
		"endDate": $("#end_time").val()
	}, html = "";
	$("#program_analysis_page, #program_analysis_list").empty();
	ajax("ajax_list.do",data,function(res){
		if(res.code == 1 && res.data.records.length > 0){
			$.each(res.data.records, function(index, item){
				html += "<tr data-name='"+item.name+"' data-medianame='"+item.mediaName+"' data-theatretime='"+item.theatreTime+"' data-season='"+(item.season)+"'>"+
					"<td>"+$.orderNum(page,pageSize,index)+"</td>"+
					"<td>"+item.name+"</td>"+
					"<td>"+item.mediaName+"</td>"+
					"<td>"+item.firstTheme+"</td>"+
					"<td>"+item.secondTheme+"</td>"+
					"<td>"+item.theatreTimeName+"</td>"+
					"<td>"+item.channelSystem+"</td>"+
					"<td>"+item.season+"</td>"+
					"<td>"+item.tvNum+"</td>"+
					"<td>"+item.rating29+"</td>"+
					"<td>"+item.dk29+"</td>"+
					"<td>"+item.mediaRating29+"</td>"+
					"<td>"+item.mediaDk29+"</td>"+
					"<td>"+item.effect+"</td>"+
					"<td><input type='checkbox' class='checkbox {click:itemCheck}' name='item' value='"+item.name+"' /><label></label></td>"+
				"</tr>";
			});
			$("#program_analysis_list").html(html);
			$.checkbox();
			$.radio();
			var newpage = new createPage(res.data.count,page,pageSize,3,"programAnalysisPageGo");
			$("#program_analysis_page").html(newpage.pageHtml);
			$('#program_analysis_count').html(res.count);
		
			$(".table").hoverTable(true, true);
			/**
			 * 点击事件
			 */
			$("#program_analysis_list>tr>td:not(td:last-child)").on("click",function(){
			    name = $(this).closest("tr").data("name");
			    mediaName = $(this).closest("tr").data("medianame");
			    theatreTime = $(this).closest("tr").data("theatretime");
			    season = $(this).closest("tr").data("season");
                getPlacementDetail();
			});
			$("#program_analysis_list>tr:eq(0)>td:eq(1)").click();


		}else{
			$("#program_analysis_list").info("暂无数据。");
			$('#program_analysis_count').html(0);
		}
	});
}

programAnalysisPageGo = getProgramAnalysisList;



function getPlacementDetailList(page){
	page = page || 1;
	var pageSize = "10",beginDate = $("#start_time").val(),
		endDate = $("#end_time").val(),data = {
		"pageNo": page,
		"pageSize": pageSize,
		"name":name,
		"mediaName" : mediaName,
		"theatreTime": theatreTime,
		"season": season,
		"startDate": beginDate,
		"endDate": endDate
	}, html = "";
	$("#placement_detail_page, #placement_detail_list").empty();
	ajax("ajax_detail_list.do",data,function(res){
		if(res.code == 1 && res.data.records.length > 0){
			$.each(res.data.records, function(index, item){

				html += "<tr>"+
					"<td>"+$.orderNum(page,pageSize,index)+"</td>"+
					"<td>"+item.name+"</td>"+
					"<td>"+item.mediaName+"</td>"+
					"<td>"+item.firstTheme+"</td>"+
					"<td>"+item.secondTheme+"</td>"+
					"<td>"+item.showDate+"</td>"+
					"<td>"+item.showTime+"</td>"+
					"<td>"+item.productName+"</td>"+
					"<td>"+item.showDuration+"</td>"+
					"<td>"+item.jinxian+"</td>"+
					"<td>"+item.rating29+"</td>"+
					"<td>"+item.dk29+"</td>"+
					"<td>"+item.rating51+"</td>"+
					"<td>"+item.dk51+"</td>";
				html += "</tr>";
			});
			$("#placement_detail_list").html(html);
			$(".table").hoverTable(true, true);
			var newpage = new createPage(res.count,page,pageSize,3,"placementDetailPageGo");
			$("#placement_detail_page").html(newpage.pageHtml);
			$('#placement_detail_count').html(res.count);
			/**
			 * 点击事件
			 */
			$(".table").hoverTable(true, true);
		}else{
			$("#placement_detail_list").info("暂无数据。");
			$('#placement_detail_count').html(0);
		}
	});
}

placementDetailPageGo = getPlacementDetailList;

function openShowAnalyse(id){
	var url = 'open_show_analyse.do?id='+id;
	$.openWindow('',url, 840, 610, true, null, 'auto');
}
function openShowAnalyseTv(id){
	var url = 'open_show_analyse_tv.do?id='+id;
	$.openWindow('',url, 840, 610, true, null, 'auto');
}
/**
 * 
 * @param arr1 forms
 * @param arr2 ids
 * @param arr3 brands
 * @param form
 * @returns {Array}
 */
function isExistForm(arr1,arr2,arr3,form){
	var index = [],html = "";
	for(var i in arr1){
		if(arr1[i].indexOf(form) > -1){
			index.push(i);
		}
	}
	for(var m in index){
		if(m != 0){
			html += ",";
		}
		html += "<a href='javascript:openShowAnalyse("+arr2[index[m]]+")'><span class='orange'>"+arr3[index[m]]+"</span></a>";
	}
	if(html == ''){
		html = '-';
	}
	return html;
}

function getRatingCharts(type){
	getRatingChart(type,1,1);
	getRatingChart(type,2,1);
}

function getRatingRatio(obj){
	getRatingChart(cur_type,$(obj).val())
}

function getRatingRatio2(obj){
	getNetChart(cur_type,$(obj).val())
}


/**
 * 网络综艺节目植入效果一览
 */
function getNetChart(type,platform){
	var data = {
			"type" : type,
			"program": cur_program,
			"startDate": $("#start_time").val(),
			"endDate": $("#end_time").val(),
			"platform" : cur_platform,
			"showYear" : cur_showYear
		};
	ajax("list_program_net_clicktimes.do",data,function(res){
		if(res.code == 1 && res.list.length > 0){
			var legend = ['点击率(千万)','趋势(点击率)'],xdata = [],ydata = [],ys = [],platforms = [],html = "";
			if(platform != ''){
				$.each(res.list, function(index, item){
					if(item.platform_name == platform){
						xdata.push(item.phase);
						ydata.push(item.click_times);
					}
					platforms.push(item.platform_name);
					if(xdata.length > 9){
						return false;
					}
				});
				ys = calTrendline(ydata);
				trendBarWithLine(legend,xdata,ydata,ys,'net_chart');
			}else{
				$.each(res.list, function(index, item){
						platforms.push(item.platform_name);
						xdata.push(item.phase);
						xdata = unique(xdata);
						if(xdata.length > 9){
							return false;
						}
				});
				$.each(res.list, function(index, item){
					for(var i in xdata){
						if(xdata[i] == item.phase){
							ydata[i] = Math.round(((ydata[i] ? ydata[i] : 0)*100 + item.click_times*100)) / 100;
						}
					}
				});
				ys = calTrendline(ydata);
				trendBarWithLine(legend,xdata,ydata,ys,'net_chart');
			}
	
			if(platform == ''){
				html += '<input type="radio" name="net_ratio" class="radio {click:getRatingRatio2}" value="" checked/><label>综合</label>&nbsp;&nbsp;&nbsp;&nbsp;';
				platforms = unique(platforms);
				for(var i in platforms){
					if(i > 3){
						break;
					}
					html +='<input type="radio" name="net_ratio" class="radio {click:getRatingRatio2}" value="'+platforms[i]+'" '+(platforms[i] == platform ? 'checked' : '')+'/><label>'+platforms[i]+'</label>&nbsp;&nbsp;&nbsp;&nbsp;';
				}
				$("#net_ratio_div").html(html);
				$.radio();
			}	
		}else{
			$("#net_chart").info("暂无数据。",true);
			$("#net_ratio_div").html('');
		}
	},false);
}


/**
 * 电视剧收视分析
 */
function getTvTrendChart(){
	var data = {
			"name" : name,
			"mediaName": mediaName,
			"startDate": $("#start_time").val(),
			"endDate": $("#end_time").val(),
			"theatreTime" : theatreTime,
			"season" : season
		};
	ajax("ajax_tv_ratio.do",data,function(res){
		if(res.code == 1 && res.data.trendVOS.length > 0){
			var xdata = [],ydata = [],platforms = [],html = "";
			$.each(res.data.trendVOS, function(index, item){
					xdata.push(item.showDate);ydata.push(item.ratio);
			});
			trendBar('XX-YY-收视趋势分析',xdata,ydata,'trend_bar');

            xdata = [],ydata = [];
			$.each(res.data.peopleVOS, function(index, item){
                    xdata.push(item.type);ydata.push(item.ratio);
            });
            trendBar('XX-YY-人群构成',xdata,ydata,'people_bar');
			
		}else{
			$("#trend_bar").info("暂无数据。",true);
			$("#people_bar").html('');
		}
	},false);
}


/**
 * 电视剧收视区域分步
 */
function getZoneNumChart(){
	var data = {
			"name" : name,
			"mediaName": mediaName,
			"startDate": $("#start_time").val(),
			"endDate": $("#end_time").val(),
			"theatreTime" : theatreTime,
			"season" : season
		};
	ajax("ajax_tv_zone.do",data,function(res){
		if(res.code == 1 && res.data.tvNum.length > 0){
			var xdata = [],ydata = [],platforms = [],html = "";
			$.each(res.data.tvNum, function(index, item){
					xdata.push(item.province);ydata.push(item.num);
			});
			trendBar('XX-YY-触达千人',xdata,ydata,'tvNum_bar');

            xdata = [],ydata = [];
			$.each(res.data.mediaNum, function(index, item){
                    xdata.push(item.province);ydata.push(item.num);
            });
            trendBar('XX-YY-平均触达千人',xdata,ydata,'mediaNum_bar');

		}else{
			$("#tvNum_bar").info("暂无数据。",true);
			$("#mediaNum_bar").html('');
		}
	},false);
}

/**
 * 电视剧产品投放分析
 */
function getProductChart(){
	var data = {
			"name" : name,
            "mediaName": mediaName,
            "startDate": $("#start_time").val(),
            "endDate": $("#end_time").val(),
            "theatreTime" : theatreTime,
            "season" : season
		};
	ajax("ajax_tv_product.do",data,function(res){
		if(res.code == 1 && res.data.length > 0){
			var legend= [], series = [],xdata = [],ydata = [],ydata = [],html = "";
			$.each(res.data, function(index, item){
			    legend.push(item.name);
				var lv1 = {
                    value: item.total,
                    name : item.name
                };
                xdata.push(lv1);
                var lv2 = {
                    value: item.duration,
                    name : item.name
                };
                ydata.push(lv2);
			});

			trend_pie_normal("男女比例",legend, xdata,'product_time_pie');
            trend_pie_normal("男女比例",legend, ydata,'product_freq_pie');
		}else{
			$("#tv_group_chart").info("暂无数据。",true);
			$("#net_group_chart").info("暂无数据。",true);
		}
	},false);
}

/**
 * 电视剧题材分析
 */
function getThemeChart(){
	var data = {
			"name" : name,
            "mediaName": mediaName,
            "startDate": $("#start_time").val(),
            "endDate": $("#end_time").val(),
            "theatreTime" : theatreTime,
            "season" : season
		};
	ajax("ajax_tv_theme.do",data,function(res){
		if(res.code == 1 && res.data.length > 0){
			var legend= [], series = [],xdata = [],ydata = [],zdata = [],html = "";
			$.each(res.data, function(index, item){
			    legend.push(item.firstTheme);
				var lv1 = {
                    value: item.total,
                    name : item.firstTheme
                };
                xdata.push(lv1);
                ydata.push(item.firstTheme);
                zdata.push(item.ratio);
			});

			trend_pie_normal("男女比例",legend, xdata,'tvTheme_pie');
            trendBar("男女比例",ydata, zdata,'mediaTheme_pie');
		}else{
			$("#tv_group_chart").info("暂无数据。",true);
			$("#net_group_chart").info("暂无数据。",true);
		}
	},false);
}

/**
 * 电视剧及卫视剧场排名
 */
function getRankList(){
	var data = {
			"startDate": $("#start_time").val(),
			"endDate": $("#end_time").val()
		},html="";
	ajax("ajax_topList.do",data,function(res){
		var colors = [];
		if(res.code == 1 && res.data){
			if(res.data.tv && res.data.tv.length > 0){
				var list1 = res.data.tv;
				$.each(list1, function(index, item){
                    html += "<tr class=''>"+
                        "<td>"+(index + 1)+"</td>"+
                        "<td>"+item.name+"</td>"+
                        "<td>"+item.mediaName+"</td>"+
                        "<td>"+item.firstTheme+"</td>"+
                        "<td>"+item.mediaNum+"</td>"+
                        "<td>"+item.rating29+"</td>"+
                        "<td>"+item.dk29+"</td>"+
                    "</tr>";
                });
                $("#rank_char_1").html(html);
			}else{
				$("#rank_char_1").info("暂无数据。");
			}
			var colors2 = [];
			if(res.data.media && res.data.media.length > 0){
			    var list1 = res.data.media;
			    html = "";
				$.each(list1, function(index, item){
                    html += "<tr class=''>"+
                        "<td>"+(index + 1)+"</td>"+
                        "<td>"+item.mediaName+"</td>"+
                        "<td>"+item.mediaRank+"</td>"+
                        "<td>"+item.mediaNum+"</td>"+
                        "<td>"+item.rating29+"</td>"+
                        "<td>"+item.dk29+"</td>"+
                    "</tr>";
                });
                $("#rank_char_2").html(html);
			}else{
				$("#rank_char_2").info("暂无数据。");
			}
			
		}else{
			$("#rank_char_1, #rank_char_2").info("暂无数据。");
		}
	},false);
}

/**
 * 控制字符串长度
 * @param str
 */
function retProgramName(str){
	var ret = '';
	if(str.length > 7){
		ret = str.substring(0,7);
		ret += "\n";
		ret += str.substring(7,str.length);
	}else{
		ret = str;
	}
	return ret;
}

/**
 * 查询品牌植入排名
 * @param oldList 传入全部数组
 * @returns {Array} 返回排名数组
 */
function sortProgramRankList(oldList){
	var newList = new Array(),top = 0;
	for(var i = 0; i < oldList.length ; i++){
		if(oldList[i].program_name == cur_program){
			top = oldList[i].rank;
			break;
		}
	}
	
	var start = (top - 9  > 0) ? top - 9 : 1;
	var end = (top + 10 > oldList.length) ? oldList.length : top + 10;
	if(end - start + 1 < 20){
		start = start - (20 - 1 - end + start);
	}
	
	for(var i = 0,j = 0;i < oldList.length; i++){
		if(oldList[i].rank >= start && oldList[i].rank <= end){
			newList[j] = oldList[i];
			j ++;
		}
	}
	return newList;
}


function changeTagName(){
	$("span[name='program_tag']").html("《" + cur_program + "》");
	$("span[name='type_tag']").html(cur_type.toString().decode(1,"综艺节目",2,"栏目",3,"电视剧",4,"电影",""));
	$("span[name='group_title1']").html(cur_type.toString().decode(1,"电视受众人群构成",2,"电视受众人群构成",3,"电视受众人群构成",4,"网络视频男女比例",""));
	$("span[name='group_title2']").html(cur_type.toString().decode(1,"网络视频人群构成",2,"网络视频人群构成",3,"网络视频人群构成",4,"网络视频年龄比例",""));
	$("span[name='net_title1']").html(cur_type.toString().decode(1,"电视台综艺节目收视排名",2,"电视台栏目收视排名",3,"电视剧收视率排名",4,"电影票房排名",""));
	$("span[name='net_title2']").html(cur_type.toString().decode(1,"视频网站综艺节目排名",2,"视频网站栏目排名",3,"电视剧点击量排名",4,"电影视频网站点击量排名",""));
}